package com.yihu.hos.arbiter.routers;

import org.apache.camel.builder.RouteBuilder;
import org.springframework.stereotype.Component;

/**
 * @created Airhead 2016/8/1.
 */
@Component
public class SerivceHealthRouter extends RouteBuilder {
    @Override
    public void configure() throws Exception {
        from("timer:brokerServerOnline?period={{arbiter.timer.period}}")
                .to("bean:healthCheckService?method=check");
    }
}
